Subject: Re: code generation

From: Jan Wielemaker <[email-masked]>
Date: Mon, 28 Aug 2000 15:54:21 +0200

On Mon, 28 Aug 2000, arnold wrote:
>
>I have a program that, among other things, generates code from a database. I worked on this program on a UNIX system, with SWI Prolog. Now i try it on my pc, i downloaded SWI Prolog. I get this error:
> 
>No permission to modify static procedure 'eval/3' 
>^  Exception: (12) asserta((eval(gebjaarF(_G106), jaren, _G116):-.....etc....
>
>( i'm trying to assert eval clauses )
>But why? eval/3 is not a built-in predicate and also it was working before.

Most likely you have eval/3 clauses in your program and they are nog
flagged using :-dynamic eval/3.

This has nothing to do with Unix<->PC, but just with recent versions of
SWI-Prolog that enforce most of the ISO standard.

	Regards --- Jan